%define mainversion 2.0

Name:           PySolFC-cardsets
Version:        2.0
Release:        3%{?dist}
Summary:        Various cardsets for PySolFC
Group:          Amusements/Games
License:        GPLv2+
URL:            http://pysolfc.sourceforge.net/
Source0:        http://downloads.sourceforge.net/pysolfc/PySolFC-Cardsets-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires:       PySolFC >= %{mainversion}

%description
This package contains various cardsets for PySolFC.

%prep
%setup -q -n PySolFC-Cardsets-%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d -m755 $RPM_BUILD_ROOT%{_datadir}/PySolFC
# remove cardsets included in PySolFC package
rm -rf cardset-2000 cardset-crystal-mahjongg cardset-dashavatara-ganjifa \
       cardset-dondorf cardset-gnome-mahjongg-1 cardset-hexadeck \
       cardset-kintengu cardset-matrix cardset-mughal-ganjifa cardset-oxymoron \
       cardset-standard cardset-tuxedo cardset-vienna-2k
cp -a cardset-* $RPM_BUILD_ROOT%{_datadir}/PySolFC

find $RPM_BUILD_ROOT%{_datadir}/PySolFC -type f -name 'COPYRIGHT' -exec chmod 0644 '{}' \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_datadir}/PySolFC/cardset-*

%changelog
* Wed Feb 10 2010 Stewart Adam <s.adam at diffingo.com> - 2.0-3
- Change requirement on main version to >= 2.0, not = 1.1

* Mon Feb 8 2010 Stewart Adam <s.adam at diffingo.com> - 2.0-2
- Add dist tag since manual copying is not done anymore (see releng #3335)

* Sat Jan 30 2010 Stewart Adam <s.adam at diffingo.com> - 2.0-1
- Update to 2.0

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-5.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-4.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Oct 25 2007 Stewart Adam <s.adam@diffingo.com> 1.1-3
- Remove BR python-devel
- Add dot to %%description
- Remove preinstalled cardsets
- Use a dir PySolFC actually recognizes

* Wed Oct 24 2007 Stewart Adam <s.adam@diffingo.com> 1.1-2
- Own dirs we create
- Remove %%{?dist} tag
- Fix URL, description and summary
- Don't place any executable files in the RPM

* Sat Sep 29 2007 Stewart Adam <s.adam@diffingo.com> 1.1-1
- Initial release
